#{extends 'borderNG.html' /}


#{set 'titleHead'}
&{'auction.info_tender'} ${lelang.namaPaket}
#{/set}

<ul class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'auction.home'}</a></li>
    <li class="active">&{'auction.info_tender'}</li>
</ul>
#{alert /}
#{tabmenuLelang tahapStarted/}
<div class="content">
    <table class="table table-sm">
        <tr>
            <th width="25%" class="bg-warning">&{'auction.kode'}</th>
            <td><b>${lelang.lls_id} #{if !production} <span class="label label-info">#{if lelang.lls_sesi == 0} sesi default#{/if} #{else}
                sesi ${lelang.lls_sesi}#{/else}</span> #{/if}</b>
            </td>
        </tr>
        <tr>
            <th class="bg-warning">&{'auction.nama'}</th>
            <td>${lelang.namaPaket} #{statusTender lelang/}</td>
        </tr>
        <tr>
            <th class="bg-warning">&{'auction.metode'}</th>
            <td>${lelang.pemilihan.label}</td>
        </tr>
        <tr>
            <th class="bg-warning">&{lelang.express ? 'auction.nilai' : 'auction.nilai_terendah'}</th>
            <td>${auction?.ra_min_penawaran?.rupiah()}</td>
        </tr>
        <tr>
            <th class="bg-warning">&{'auction.waktu'}</th>
            <td>
                #{if auction.isJadwalNotNotNull()}
                    ${auction?.ra_waktu_mulai?.formatDateTime()} s.d. ${auction?.ra_waktu_selesai?.formatDateTime()}
                    #{if auction.editable}<a href="@{lelang.AuctionCtr.ubah(auction.lls_id)}" class="badge dialog" title="Ubah Jadwal Reverse Auction">&{'auction.ubah_jadwal'}</a>#{/if}
                #{/if}
                #{else}
                    #{if auction.editable}<a href="@{lelang.AuctionCtr.ubah(auction.lls_id)}" class="badge dialog" title="Ubah Jadwal Reverse Auction">&{'auction.atur_jadwal'}</a>#{/if}
                #{/else}
            </td>
        </tr>
        <tr>
            <th class="bg-warning">&{'auction.status'}</th>
            <td>${auction.status}</td>
        </tr>
    #{if auction.selesai}
        #{if !auction.ra_status.selesai && active_user.panitia}
            <tr>
                <th class="bg-warning">&{'auction.pembukaan'}</th>
                <td>#{form @lelang.AuctionCtr.pembukaan(lelang.lls_id)} #{saveButton title:'Pembukaan Hasil Reverse Auction'/}#{/form}</td>
            </tr>
        #{/if}
        #{if auction.ra_status.selesai}
            <tr>
                <th class="bg-warning">&{'auction.hasil_akhir'}</th>
                <td><table class="table">
                    <tr>
                        <th>&{'auction.no'}</th>
                        <th>&{'auction.nama_peserta'}</th>
                        <th>&{'auction.penawaran'}</th>
                        <th>&{'auction.keterangan'}</th>
                        <th>Nama File</th>
                    </tr>
                    #{list items:hasil, as:'peserta'}
                        <tr>
                            <td>${peserta_index}</td>
                            <td><a href="@{lelang.AuctionCtr.penawaran(peserta.psr_id)}" target="_blank">${peserta.namaPeserta}</a>
                              #{if active_user.auditor}
                              <a href="@{AuditorCtr.audit_log(peserta.psr_id)}" class="btn btn-success" target="_blank" width="600" height="400" style="margin-top:3px;" title="Log Akses"><i class="fa fa-edit"></i></a>
                              #{/if}
                            </td>
                            <td>${peserta.rad_nev_harga?.rupiah()}</td>
                            <td>#{if peserta?.rad_id == termurah?.rad_id} Penawaran Terendah #{/if}</td>
                            <td>#{if peserta.getDokumen() != null}
                                <a href="${peserta.downloadUrl}" data-attach-file="true">${peserta.getDokumen().blb_nama_file}</a>
                                #{/if}
                                #{else}&nbsp;#{/else}</td>
                        </tr>
                    #{/list}
                </table></td>
            </tr>
        #{/if}
    #{/if}
    </table>
</div>